Skip to main content
POST
/
graphql#ListDashboards
List dashboards
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListDashboards' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: DashboardFilterType) { dashboards { all(filter: $filter) { edges { node { id code name description is_active is_default roles { id name } dashboard_widget_placements { id position dashboard_widget { id code name widget_type } } } } } } }"
}
'
{
  "data": {
    "dashboards": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "3",
              "code": "warehouse-ops",
              "name": "Warehouse Operations",
              "description": "Day-to-day operational view",
              "is_active": true,
              "is_default": true,
              "roles": [
                {
                  "id": "1",
                  "name": "Administrator"
                }
              ],
              "dashboard_widget_placements": [
                {
                  "id": "21",
                  "position": {
                    "x": 0,
                    "y": 0,
                    "w": 2,
                    "h": 2
                  },
                  "dashboard_widget": {
                    "id": "12",
                    "code": "tasks-by-type",
                    "name": "Tasks by Type",
                    "widget_type": "bar"
                  }
                }
              ]
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: DashboardFilterType) {
  dashboards {
    all(filter: $filter) {
      edges {
        node {
          id
          code
          name
          description
          is_active
          is_default
          roles { id name }
          dashboard_widget_placements {
            id
            position
            dashboard_widget { id code name widget_type }
          }
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators:
{
  "filter": {
    "is_active": {
      "eq": true
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
codeStringInputTypeeq, ilike, like, in, betweenDashboard code
nameStringInputTypeeq, ilike, like, in, betweenDashboard name
is_activeBooleanInputTypeeqActive flag
is_defaultBooleanInputTypeeqDefault-dashboard flag
role_idIdInputTypeeq, gt, gteq, lt, lteq, in, filledFilter by an associated role ID

Filter Operators

Input TypeOperators
StringInputTypeeq (exact), ilike (case-insensitive partial), like (case-sensitive partial), in (array match), between (range)
IntegerInputTypeeq, gt, gteq, lt, lteq, between
DatetimeInputTypeeq, from, to, between
BooleanInputTypeeq (required)
IdInputTypeeq, gt, gteq, lt, lteq, in, filled
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: DashboardFilterType) { dashboards { all(filter: $filter) { edges { node { id code name description is_active is_default roles { id name } dashboard_widget_placements { id position dashboard_widget { id code name widget_type } } } } } } }"

variables
object

Query variables including the filter object

Example:
{ "filter": { "is_active": { "eq": true } } }

Response

Successful GraphQL response

data
object

Query result data

errors
object[]

GraphQL errors, if any